## psychtoolbox-3 3.0.12.20150316.dfsg

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20150316.dfsg-1~nd13.10+1) saucy; urgency=low

  * Backported for saucy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 20 Mar 2015 04:42:54 -0400

psychtoolbox-3 (3.0.12.20150316.dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 20 Mar 2015 00:54:26 -0400

psychtoolbox-3 (3.0.12.20141228.dfsg2-1) experimental; urgency=medium

  * New upstream release
  * debian/dfsg-upstream
    - remove also binary builds of drivers
    - do not remove copy of glew -- >= 1.11.0 needed for backport builds
  * debian/rules - patch to use system GLEW only if it is >= 1.11.0
  * debian/control - limit builds to lsb-base (>= 4.1+Debian8), so we build
    in NeuroDebian for Debian >= 7.0 (wheezy), Ubuntu >= 14.04 (trusty)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jan 2015 11:25:15 -0500

psychtoolbox-3 (3.0.12.20141019.dfsg1-1) UNRELEASED; urgency=medium

  * New upstream release
    - requires gstreamer 1.0 (debian/control adjusted)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Oct 2014 22:40:11 -0400
