## psychtoolbox-3 3.0.12.20150725.dfgs1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20150725.dfgs1-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 27 Jul 2015 22:13:03 -0400

psychtoolbox-3 (3.0.12.20150725.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - updated optional deb_use_system_GLEW for upstream inclusion of
      -lX11-xcb -lxcb -lxcb-dri3
  * debian/control
    - new build-depends: libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jul 2015 12:57:01 -0400

psychtoolbox-3 (3.0.12.20150419.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - deals with  tripple buffer on intel cards without requiring xorg.conf
      tuneup
  * debian/patches/deb_use_system_GLEW
    - refreshed
  * debian/copyright
    - updated years
    - shortened name for SGI license and listed it for glu_edit.h
  * upload to unstable
    - should provide needed dependency on newer gstreamer 1.0
      (Closes: #785869)
  * debian/upstream -> debian/upstream/metadata migration
  * debian/control
    - boosted policy to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 May 2015 08:56:53 -0400
