=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libglib2.0-dev,
                libxxf86vm-dev,
                libglu1-mesa-dev,
+               libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev,
                libxext-dev,
                libxfixes-dev,
                libxi-dev,
@@ -33,7 +34,7 @@
                pulseaudio-utils, octave-image,
                gnuplot-nox | gnuplot,
 Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychtoolbox-3.git
