## psychtoolbox-3 3.0.12.20160126.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20160126.dfsg1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 01 Feb 2016 21:22:56 -0800

psychtoolbox-3 (3.0.12.20160126.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/dfsg-upstream
    - adjusted to exclude many new 3rd party library (oculus SDK, etc) which
      either need to be packaged separately or just not compatible with DFSG

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jan 2016 23:36:56 -0500

psychtoolbox-3 (3.0.12.20150725.dfgs1-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 23:08:47 -0600

psychtoolbox-3 (3.0.12.20150725.dfgs1-2) unstable; urgency=medium

  * debian/rules
    - export gstreamer-1.0 cflags to make g++ find headers under /usr/lib/ARCH
    - remove core files which might get dumped
  * debian/octave-psychtoolbox-3.lintian-overrides
    - allow embedding GLEW

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Sep 2015 11:05:38 -0700

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu4) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Aug 2015 12:35:45 +0000

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu3) wily; urgency=medium

  * No change rebuild for new libfreenect 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 16:44:57 -0500

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu2) vivid; urgency=medium

  * Try an alternate solution that involves modifying the portaudio Makefile.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 22 Dec 2014 03:23:56 -0500

psychtoolbox-3 (3.0.11.20140816.dfsg1-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Dec 2014 04:59:34 -0500
