=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 uver_nondfsg = $(shell echo $(uver) | sed -e 's,.dfsg[0-9]*,,g')
 
 # Directories which are created/populated/cleanedup
-BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins
+BDIRS=Psychtoolbox/PsychBasic/Octave3LinuxFiles Psychtoolbox/PsychBasic/PsychPlugins \
+ Psychtoolbox/PsychBasic/Octave4LinuxFiles64 Psychtoolbox/PsychBasic/Octave4LinuxFiles
 OCT_SHAREDDIR=debian/psychtoolbox-3-common/usr/share/psychtoolbox-3
 OCT_LIBDIR=debian/octave-psychtoolbox-3/usr/lib/psychtoolbox-3
 
@@ -21,11 +22,12 @@
 # Critical for building on machines with multiarch support
 # (e.g. ubuntu 11.04)
 GLIB_INCLUDES=$(shell pkg-config --cflags glib-2.0)
+GST_INCLUDES=$(shell pkg-config --cflags gstreamer-1.0)
 GLEW_VERSION=$(shell pkg-config --modversion glew)
 
 # Upstream advises to build without optimization at the moment
 export CXXFLAGS=-Wall -g -O0
-export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES)
+export CFLAGS=-Wall -g -O0 -std=gnu99 $(GLIB_INCLUDES) $(GST_INCLUDES)
 
 # Let's use "advanced" bash patterns
 export SHELL=/bin/bash
@@ -126,6 +128,7 @@
 #      -e MovieDemos \
 	: # Cleanup
 	find -iname MLIexpSubj11.txt -delete
+	find -type f -name core -delete
 else
 	: # Skip unittests due to nocheck
 endif
@@ -187,8 +190,3 @@
 override_dh_strip:
 	dh_strip --dbg-package=psychtoolbox-3-dbg
 
-override_dh_shlibdeps:
-	@: # octave will take care of proper deps for extensions -- no need to scan
-	@: # them and warn all the time
-	dh_shlibdeps -l$(shell octave-config --print OCTLIBDIR)
-
