## psychtoolbox-3 3.0.12.20160414.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.12.20160414.dfsg1-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:51:48 +0000

psychtoolbox-3 (3.0.12.20160414.dfsg1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - modify the portaudio Makefile and build-depend on autotools-dev to
      support new arches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2016 10:23:25 -0700

psychtoolbox-3 (3.0.12.20160414.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (largely bugfix) release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 21:45:47 -0400

psychtoolbox-3 (3.0.12.20160126.dfsg1-2) neurodebian; urgency=medium

  * debian/control
    - remove obsolete recommendation of subversion and recommend alsa-utils
  * debian/patches/deb_no_so2_stripping  to not link against .so instead of
    .so.2 for liboctaveinterp (relevant for older Debian/Ubuntus)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Mar 2016 19:59:46 -0500
