## psychtoolbox-3 3.0.14.20170103+git6-g605ff5c.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1build1) artful; urgency=medium

  * No-change rebuild against liboctave4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 03:56:37 +0000

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release + few post release fixes snapshot
  * debian/patches/deb_no_PTB_USE_NVSTUSB -- refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 16:35:51 -0500

psychtoolbox-3 (3.0.13.20160910.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * Patch from Ubuntu (via Steve Langasek, Thanks!) to update autotools
    within shipped copy of pulseaudio (Closes: #727951)
  * debian/rules
    - for now build against upstream's copy of GLEW to overcome FTBFS
      due to changed (fixed) API (Closes: #837524)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Sep 2016 21:31:22 -0400

psychtoolbox-3 (3.0.12.20160514.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (primarily optimizations) release:
    - should be able to drive PROPixx at 1440 fps on Debian-8
    - various compat fixes / optimizations for for RaspberryPi/Raspian

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 May 2016 17:30:27 -0400
