=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
 Package: psychtoolbox-3-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: subversion
+Recommends: alsa-utils
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
