=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh $@ --with quilt
 
 override_dh_quilt_patch:
-	dpkg --compare-versions $(GLEW_VERSION) lt 1.11.0 \
+	dpkg --compare-versions $(GLEW_VERSION) lt 999.1.11.0 \
 	 || { echo "I: system GLEW is $(GLEW_VERSION). Thus adding a use_system_GLEW patch"; \
 		  echo 'deb_use_system_GLEW' >> debian/patches/series; \
 	      echo "I: moving copy of glew.c aside"; \
@@ -94,7 +94,7 @@
       -e Contents -e Stereo -e Serial -e PsychCV \
       -e Cedrus -e BitsPlus -e Kinect -e GPGPU -e DualHeads -e DaqTest \
       -e Matlab -e FitCumNormYNTest -e OSAUCSTest -e FitGammaPow -e FitGammaDemo \
-      -e DirectInputMonitoringTest \
+      -e DirectInputMonitoringTest -e PosterBatchAnalyzeTimestamps \
 	  -e OldNewReco -e AlphaImageDemo/[^A] \
       -e ClutAnimDemo -e MinimumMotionExp -e AdditiveBlendingForLinearSuperpositionTutorial \
       -e ImagingVideoCaptureDemo -e AudioTunnel3DDemo \
@@ -188,5 +188,3 @@
 #	dh_fixperms
 
 override_dh_strip:
-	dh_strip --dbg-package=psychtoolbox-3-dbg
-
