## psychtoolbox-3 3.0.14.20171008.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20171008.dfsg1-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 20 Nov 2017 02:38:10 -0500

psychtoolbox-3 (3.0.14.20171008.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * debian/patches/up_glibc_no_xlocale
    - to not #include xlocale while using glibc which no longer ships it

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Nov 2017 22:07:56 -0500

psychtoolbox-3 (3.0.14.20170819.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Sep 2017 17:36:20 -0400

psychtoolbox-3 (3.0.14.20170611.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/run_tests
    - add  --no-history  option to octave invocation
  * debian/control
    - added octave-pkg-dev to Recommends of octave-psychtoolbox-3 per
      upstream's  request to facilitate users' troubleshooting

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Jun 2017 22:31:16 -0400
