=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync, quilt,
                lsb-base (>= 4.1+Debian8~),
@@ -43,7 +43,7 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Recommends: alsa-utils
 Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
@@ -65,7 +65,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             gstreamer1.0-plugins-bad,
@@ -91,7 +91,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -99,6 +99,7 @@
             octave-optim,
             octave-signal,
             octave-statistics,
+            octave-pkg-dev,
 Provides: psychtoolbox, psychtoolbox-3
 Description: toolbox for vision research -- Octave bindings
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
@@ -123,7 +124,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
