## psychtoolbox-3 3.0.14.20180526.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.14.20180526.dfsg1-1build3) cosmic; urgency=medium

  * No-change rebuild against octave 4.4.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Sep 2018 23:59:41 +0000

psychtoolbox-3 (3.0.14.20180526.dfsg1-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 16:12:46 +0200

psychtoolbox-3 (3.0.14.20180526.dfsg1-1build1) cosmic; urgency=medium

  * No-change rebuild against octave 4.4

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jul 2018 19:55:30 +0000

psychtoolbox-3 (3.0.14.20180526.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * d/control
    - allow for both  dh-octave | octave-pkg-dev (>= 0.5.7)  for easy
      backportability
  * d/rules
    - handle Octave:Depends in backports friendly way

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jun 2018 10:09:38 -0400

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: 890087)
  * d/p/exclude-deprecated-xlocale.h.patch: New patch (Closes: 895739)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2018 10:34:52 -0300
