=== debian/rules ===
--- 
+++ 
@@ -179,12 +179,9 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	: # Provide Octave:Depends
-	[ -e /usr/bin/octave-depends ] \
-	&& octave-depends \
-	|| echo 'octave:Depends=octave (>= 3.4.3-1~)' >> debian/octave-psychtoolbox-3.substvars
-
-#override_dh_fixperms:
-#	dh_fixperms
-
-override_dh_strip:
+	: # Provide Octave:Depends, do it in backports friendly way
+	if hash dh_octave_substvar; then \
+		dh_octave_substvar -poctave-psychtoolbox-3; \
+	elif hash octave-depends; then \
+		octave-depends; \
+	else \
